<?php
/*
WDCWPlogin.php by Mike Beargie, Anvil Dataworks, October 2014

Expected URL Parameters:
-id = Get(PersistentID) From WebDirect

Sample Calling URL from FileMaker for webviewer:
"http://localhost/WDCWPlogin.php?id=" & Get(PersistentID)

Functionality explanation:
Called from a webviewer inside of WebDirect, this script writes a record to FileMaker via CWP before destroying the cookie set by WDlogin.php.
FileMaker then reads the record that was written to get the parameters.
*/

//Enable error reporting if you need it.
//ini_set('display_errors',1);
//ini_set('display_startup_errors',1);
//error_reporting(-1);

//This is passed via the webviewer in WebDirect that is loading this page.
$persistentID = $_GET['id'];

//Previously set via WDlogin.php
$params = $_COOKIE['WDparams'];

//Make sure the field names in FileMaker match the keys in this array.
$paramdata = array(
	'cwpParams' => $params,
	'persistentID' => $persistentID,
);

//Start the CWP call to write the record
require_once ('FileMaker.php');

$fm = new FileMaker('WDParameters', NULL, 'CWPuser', 'beerguy');

//Specify the layout and array data from above to create the new record, then execute the newAdd command.
$newAdd = $fm->newAddCommand('WDParameters', $paramdata); 
$result = $newAdd->execute(); 

//For testing, print the result of the query.
print_r($result);
?>