<?php
/*
WDlogin.php by Mike Beargie, Anvil Dataworks, October 2014

Expected URL Parameters:
-fmurl = the URL of the filemaker server
-fmfile = the name of the WebDirect file
*-wduser = optional username
*-wdpass = optional password 
*-___ = any named parameter using a key/value pair.

Sample Calling URL:
http://localhost/fm_link.php?wdurl=localhost&wdfile=WDParameters&param1=parameter1&param2=parameter2&etc...

Functionality explanation:
Creates new PHP Cookie and stores all passed URL parameters in a named "WDParams" Cookie.
User is then redirected to WebDirect, where the Cookie will be read and parsed.
*/

//Enable error reporting if you need it.
//ini_set('display_errors',1);
//ini_set('display_startup_errors',1);
//error_reporting(-1);

//We're going to get the URL to go to later 
$url = $_GET['wdurl'];
$file = $_GET['wdfile'];
$WDurl = "http://".$url.'/fmi/webd#'.$file;
	
//Then check to make sure we got a URL
if(empty($url) or empty($file)){
	echo 'Connection to WebDirect can not be made because wdurl was not specified';
	die;
}
	
//Then we build a variable to store all of our parameters as a return delimited list of key|||value
$vars = $_GET;
$i = 0;
$params = '';
foreach($vars as $key => $value){
	if ($i == 0) {
		// first
		$params = $key.'|||'.$value;
	} else {
		$params = $params.'~~~'.$key.'|||'.$value;
	}
	$i++;
}

//Next step is to save our parameters into a cookie, make sure to adjust the time (in seconds) to set the life of your cookie. Default of 15 minutes.
setcookie('WDparams',$params,time()+900,'/');

//And finally redirect to WebDirect
header('Location: '.$WDurl);
	
//When we enter WebDirect, a webviewer will load another PHP page to write the cookie we just set via CWP to a record in FileMaker.
?>